;**************************************************************************
;* FileName	: ADC2.INC
;* Date 	: 13.10.2010
;* File version : v1.00
;*
;* Author	: MIKO, Imre
;* Company	:
;* Homepage	: http://majki.fw.hu
;* E-mail	: majki@fw.hu
;*
;*-------------------------------------------------------------------------
;*
;* Description	: Functions for the A/D converter module
;*		  ======================================
;*		  AD_startconv
;*		  AD_endconv
;*
;*-------------------------------------------------------------------------
;* Needed defines and includes in main-modul:
;*
;* xtal_freq	EQU	4000000	  	; crystal frequency
;* core_freq	EQU	xtal_freq/4	; core operating frequency
;* 
;*	include "..\modules\wait.mac"
;*	include "..\modules\wait.inc"
;*
;*-------------------------------------------------------------------------
;* Other possible defines in main-modul:
;*
;* #define	DEBUG			; for some debug message
;*
;**************************************************************************
;* Revision History:
;*
;* 1.00	  13/10/2010 	Initial Release (based on adc.inc 1.01)
;*			- support for newer ADs (PIC16F88x)
;*
;**************************************************************************

;***** VARIABLES **********************************************************

	cblock

	endc



	#ifdef INC_ADC

;***** AD_startconv *******************************************************
;* Start an A/D conversion
;* Input : W <- channel			; AD_CH0 ... AD_CH13
;* Output: -				;
;* Clock : AD_TACQ
;**************************************************************************
AD_startconv	iorlw	(AD_CLK)
		movwf	ADCON0
		WAIT	AD_TACQ,0
		bsf	ADCON0, GO
		return



;***** AD_endconv *********************************************************
;* Wait until end of the A/D conversion
;* Input : -				;
;* Output: ADRESH:ADRESL		; result of the conversion
;* Clock : 2*AD_TAD
;**************************************************************************
AD_endconv	btfsc	ADCON0, GO
		goto	AD_endconv
		WAIT	2*AD_TAD,2
		return


	#endif
;**************************************************************************

